package com.ruoyi.system.controller;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.service.WagesCompilationService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;

/**
 * @author haiwe
 * @date 2024/6/7
 */
@RestController
@RequestMapping("/wages/compilation")
@RequiredArgsConstructor
public class WagesCompilationController {
    private final WagesCompilationService wagesCompilationService;

    @PostMapping("/excel")
    public AjaxResult readExcel(@RequestParam("file") MultipartFile file) {
        wagesCompilationService.readExcel(file);
        return AjaxResult.success();
    }

}
